local t = Def.ActorFrame {
	LoadFont("_shared2") ..{
		InitCommand=cmd(maxwidth,SCREEN_WIDTH-32);
		BeginCommand=function(self)
			local finalText = "";
			local song = GAMESTATE:GetCurrentSong();
			if song then
				finalText = song:GetDisplayFullTitle();
			else
				finalText = "NO WORKY WHY";
			end;
			self:settext(finalText);
		end;
		BeforeLoadingNextCourseSongMessageCommand=function(self)
			if GAMESTATE:IsCourseMode() then
				local finalText = SCREENMAN:GetTopScreen():GetNextCourseSong():GetDisplayFullTitle();
				self:settext( finalText );
			end;
		end;
	};
};

return t;